Subject: Re: bug#27445: 26.0.50; Insufficient documentation for pinentry.el

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Nov 2017 17:46:55 +0200

> From: Daiki Ueno <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 21 Nov 2017 20:59:19 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think we can claim that it's undocumented: it has some user
> > documentation in the Commentary section.
> >
> > My take from this discussion is that this package will become
> > obsolete, but not exactly tomorrow.
> 
> Not tomorrow, but it will be just a month later.  Also note that this is
> a relatively new package and no Emacs release has shipped with it.

Then maybe we should simply remove it now?

However, what Michael wrote and your response to that confuse me now,
see below.

> > So I think it would be good to add some minimal verbiage to allow
> > those who still need pinentry.el to use it.  I gather the required
> > additions are not too large.
> 
> Sorry, I have no idea what to add to the existing documentation (the
> Commentary section), really.  As I indicated in the previous post, if
> pinentry.el doesn't work, it is likely to be failing in somewhere else
> than Emacs (e.g. Debian packaging of GnuPG and pinentry).  It's not
> obvious to me what we should suggest to the user in that case.

Previously, you wrote:

> Anyway; the package (and the corresponding change in GnuPG and pinentry)
> was intended to provide a way to input passphrase through Emacs with
> GnuPG 2.0.  However for some reason the change was only implemented in
> GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.
> 
> >> > I discovered by accident that
> >> > 
> >> > #+begin_src emacs-lisp
> >> >   (setq epa-pinentry-mode 'loopback)
> >> > #+end_src
> >> > 
> >> > does what I want.
> 
> This is indeed a correct solution if we only care about GnuPG >= 2.1.
> 
> Fortunately, GnuPG 2.0 will be unsupported in the next month.  After
> that we should be able to obsolete or remove the package.

So now I'm confused.  Can you answer the following questions, and
thus help me see the light?

  . is pinentry.el needed when using GnuPG 2.1?
  . if not, why did you say that the above setting of
    epa-pinentry-mode is the correct solution for GnuPG 2.1?
  . how should Emacs users input passphrases with GnuPG 2.1, without
    using pinentry.el?

Thanks.